Bug 5349 - Drop python-pyxml from repositories
: Drop python-pyxml from repositories
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-07 01:37 MSD by Denis Silakov
Modified: 2015-04-20 12:13 MSD (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2015-04-07 01:37:30 MSD
python-pyxml is obsolete and unsupported; all necessary functions are now implemented in python itself. Moreover, there are known cases when presence of python-pyxml in the system can lead to application misfunction - see, for example, OpenMandriva bugzilla - https://issues.openmandriva.org/show_bug.cgi?id=854
Comment 1 Denis Silakov 2015-04-07 01:40:34 MSD
Advisory:
Marked python-pyxml package as superseded by python, rebuilt dependent packages with python instead of python-pyxml.

Build lists:
(python)
https://abf.rosalinux.ru/build_lists/2488260
https://abf.rosalinux.ru/build_lists/2488260

(dia)
https://abf.rosalinux.ru/build_lists/2487908
https://abf.rosalinux.ru/build_lists/2487909

(iso-codes)
https://abf.io/build_lists/2487955
https://abf.io/build_lists/2487956

(telepathy-idle)
https://abf.io/build_lists/2487957
https://abf.io/build_lists/2487958
Comment 2 Denis Silakov 2015-04-07 14:09:35 MSD
In addition - build lists of inkscape which also depends on pyxml:

https://abf.io/build_lists/2488454
https://abf.io/build_lists/2488455
Comment 3 Vladimir Potapov 2015-04-15 13:38:24 MSD
The update is sent to expanded testing
**************************************
Comment 4 Vladimir Potapov 2015-04-20 11:08:00 MSD
python-2.7.9-8
https://abf.rosalinux.ru/build_lists/2488260
https://abf.rosalinux.ru/build_lists/2488261

dia-0.97.2-7
https://abf.rosalinux.ru/build_lists/2487908
https://abf.rosalinux.ru/build_lists/2487909

iso-codes-3.41-6
https://abf.io/build_lists/2487955
https://abf.io/build_lists/2487956

telepathy-idle-0.2.0-2
https://abf.io/build_lists/2487957
https://abf.io/build_lists/2487958

inkscape-0.91-4
https://abf.io/build_lists/2488454
https://abf.io/build_lists/2488455
***************************** Advisory ************************
Marked python-pyxml package as superseded by python, rebuilt dependent packages with python instead of python-pyxml.
***************************************************************
QA Verified